Summary: Library for Multiple-image Network Graphics support
Name: libmng
Version: 2.0.3
Release: 5%{?dist}
License: zlib
URL: http://www.libmng.com/
Source0: http://download.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: libtool autoconf
BuildRequires: libjpeg-turbo-devel lcms2-devel zlib-devel

%package devel
Summary: Development files for the Multiple-image Network Graphics library
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel
Requires: libjpeg-devel

%description
This package provides a library for accessing graphics in MNG (Multi-image Network Graphics) 
and JNG (JPEG Network Graphics) formats.  

%description devel
This package contains files for developing or compiling applications which use MNG graphics.

%prep
%autosetup

%build
cp makefiles/Makefile.am .
autoreconf -if
%configure --enable-shared --disable-static --with-zlib --with-jpeg --with-gnu-ld --with-lcms2
%make_build

%install
rm -rf %{buildroot}
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%license LICENSE
%doc CHANGES README*
%{_libdir}/*.so.*

%files devel
%doc doc/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmng.pc
%{_mandir}/man3/*
%{_mandir}/man5/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Wang Guodong <gordonwwang@tencent.com> - 2.0.3-1
- package init.
